@tailwind base;
@tailwind components;
@tailwind utilities;

body {
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Oxygen",
    "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue",
    sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

code {
  font-family: source-code-pro, Menlo, Monaco, Consolas, "Courier New",
    monospace;
}

.whycard {
  width: 300px;
  height: 300px;
  -webkit-box-flex: 0;
  -ms-flex: 0 0 auto;
  flex: 0 0 auto;
  margin: 0 10px;
  position: relative;
  -webkit-transform: scale(1);
  transform: scale(1);
  -webkit-transition: -webkit-transform 0.25s cubic-bezier(0.165, 0.84, 0.44, 1);
  transition: -webkit-transform 0.25s cubic-bezier(0.165, 0.84, 0.44, 1);
  transition: transform 0.25s cubic-bezier(0.165, 0.84, 0.44, 1);
  transition: transform 0.25s cubic-bezier(0.165, 0.84, 0.44, 1),
    -webkit-transform 0.25s cubic-bezier(0.165, 0.84, 0.44, 1);
}

.whycard .whycard-bg {
  background-color: #f6fbfe;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  -webkit-transform-origin: 50% 100%;
  transform-origin: 50% 100%;
  -webkit-box-shadow: none;
  box-shadow: none;
  -webkit-transform: scale(1);
  transform: scale(1);
  -webkit-transition: all 0.5s cubic-bezier(0.165, 0.84, 0.44, 1);
  transition: all 0.5s cubic-bezier(0.165, 0.84, 0.44, 1);
  overflow: hidden;
}

.whycard .whycard-bg .whycard-bghover {
  background-color: #fff;
  display: block;
  width: 230%;
  height: 230%;
  border-radius: 50%;
  position: absolute;
  bottom: 0;
  left: 50%;
  -webkit-transform: translate(-50%, 50%) scale(0);
  transform: translate(-50%, 50%) scale(0);
  opacity: 1;
  -webkit-transition: opacity 0.5s cubic-bezier(0.895, 0.03, 0.685, 0.22),
    -webkit-transform 0.5s cubic-bezier(0.165, 0.84, 0.44, 1);
  transition: opacity 0.5s cubic-bezier(0.895, 0.03, 0.685, 0.22),
    -webkit-transform 0.5s cubic-bezier(0.165, 0.84, 0.44, 1);
  transition: transform 0.5s cubic-bezier(0.165, 0.84, 0.44, 1),
    opacity 0.5s cubic-bezier(0.895, 0.03, 0.685, 0.22);
  transition: transform 0.5s cubic-bezier(0.165, 0.84, 0.44, 1),
    opacity 0.5s cubic-bezier(0.895, 0.03, 0.685, 0.22),
    -webkit-transform 0.5s cubic-bezier(0.165, 0.84, 0.44, 1);
}

.whycard .whycard-content {
  padding: 17px 40px;
  display: block;
  width: 100%;
  height: 100%;
  position: relative;
  z-index: 1;
}

@media only screen and (min-width: 740px) {
  .whycard {
    position: relative;
    z-index: 1;
    width: 25.9%;
    height: 25.34722vw;
    height: calc(25.34722 * 1vw);
    z-index: 0;
    margin: 0;
  }

  .whycard .whycard-content {
    padding: calc(4.79167 * 1vw) calc(3.47222 * 1vw);
  }

  .whycard .whycard-content p {
    -webkit-transform: translateY(0);
    transform: translateY(0);
    opacity: 0;
    -webkit-transition: all 0.5s cubic-bezier(0.165, 0.84, 0.44, 1);
    transition: all 0.5s cubic-bezier(0.165, 0.84, 0.44, 1);
    -webkit-transition-property: opacity, -webkit-transform;
    transition-property: opacity, -webkit-transform;
    transition-property: transform, opacity;
    transition-property: transform, opacity, -webkit-transform;
  }
}

@media screen and (min-width: 991px) {
  .whycard .whycard-content {
    -webkit-transition: -webkit-transform 0.5s
      cubic-bezier(0.165, 0.84, 0.44, 1);
    transition: -webkit-transform 0.5s cubic-bezier(0.165, 0.84, 0.44, 1);
    transition: transform 0.5s cubic-bezier(0.165, 0.84, 0.44, 1);
    transition: transform 0.5s cubic-bezier(0.165, 0.84, 0.44, 1),
      -webkit-transform 0.5s cubic-bezier(0.165, 0.84, 0.44, 1);
  }

  .whycard .whycard-bg {
    background-color: #fff !important;
  }

  .whycard:hover {
    z-index: 1;
  }
  .whycard:hover .whycard-bg {
    -webkit-transform: scale(1.05);
    transform: scale(1.05);
    -webkit-box-shadow: 0 calc(1.38889 * 1vw) calc(2.77778 * 1vw)
      rgba(0, 0, 0, 0.05);
    box-shadow: 0 calc(1.38889 * 1vw) calc(2.77778 * 1vw) rgba(0, 0, 0, 0.05);
  }
  .whycard:hover .whycard-bg .whycard-bghover {
    -webkit-transform: translate(-50%, 50%) scale(1);
    transform: translate(-50%, 50%) scale(1);
  }
  .whycard:hover .whycard-content {
    -webkit-transform: translateY(-1.875rem);
    transform: translateY(-1.875rem);
  }
  .whycard:hover .whycard-content p {
    -webkit-transform: translateY(0.125rem);
    transform: translateY(0.125rem);
    opacity: 1;
  }
  .whycard:nth-child(2n) .whycard-bg {
    background-color: #f7f9fb !important;
  }
  .whycard .whycard-bg {
    background-color: #fff !important;
  }
  .whycard:nth-child(odd):hover .whycard-bg .whycard-bghover {
    background-color: #fff !important;
  }
  .whycard:nth-child(odd) .whycard-bg .whycard-bghover {
    background-color: #f7f9fb !important;
  }
}
